Subject: Index

From: [email-masked] (Postgres Account)
Date: Tue, 5 Nov 91 11:20:03 -0800

After I defined index on a field of type int4, my program using libpq got
abord, And then I removed the index, my program works well. Is there any
problem in defining index on int4 field? I just know there were some problems
on int4 field before, and I got a bugfix.

Thanks

-- Shengsong Ni

---

From: postarch (Postgres Mailing Archive)
Date: Wed, 06 Nov 91 22:42:04 PST

> on int4 field before, and I got a bugfix.

I suspect that the problems you are referring to are with indices defined
on attributes of type text. We use indices defined on int4 attributes 
routinely, as we always make sure we can run the Wisconsin benchmark.  To 
my knowledge there haven't been any problems reported on int4 indices.

Jeff Meredith
[email-masked]